Subject: Re: [PATCH v2 01/17] object-store: rename `raw_object_store` to `object_database`

From: Toon Claes <[email-masked]>
Date: Tue, 13 May 2025 21:27:20 +0200

Patrick Steinhardt <[email-masked]> writes:

> The `raw_object_store` structure is the central entry point for reading
> and writing objects in a repository. The main purpose of this structure
> is to manage object directories and provide an interface to access and
> write objects in those object directories.
>
> Right now, many of the functions associated with the raw object store
> implicitly rely on `the_repository` to get access to its `objects`
> pointer, which is the `raw_object_store`. As we want to generally get
> rid of using `the_repository` across our codebase we will have to
> convert this implicit dependency on this global variable into an
> explicit parameter.
>
> This conversion can be done by simply passing in an explicit pointer to
> a repository and then using its `->objects` pointer. But there is a
> second effort underway, which is to make the object subsystem more
> selfcontained so that we can eventually have pluggale object backends.

Tiniest nit, but worth mentioning in case of a reroll:

s/pluggale/pluggable/

--
Toon